Subject: RE: Proposal for slight edit to section 6.2.1 of draft-ietf-ipr-t echn ology-rights-09.txt

From: Powers Chuck-rxcp20 <[email-masked]>
Date: Sun, 15 Jun 2003 20:39:47 -0700

Todd,

   Disclosure statements made to SDOs are not just knocked off by a couple of engineers, with a lawyer making a final review (not at Motorola, anyway). Before a decision to disclose is made, the IP claims and the specification(s) in question must be carefully studied and compared, and the results are then reviewed by the attorneys, licensing and anti-trust departments, to get agreement that the disclosure is appropriate, necessary, and meets the particular needs of the SDO. The disclosure statement itself must then be drafted, which can be complicated if the IP in question is itself complex, or could possibly impact multiple specifications.

   This entire process takes a non-trivial amount of time, and those who are involved in the process are not paid in peanuts, and for good reason. While entities with smaller patent portfolios can do this more easily, any company with a large patent portfolio would be irresponsible to not approach this process cautiously.

   IMO, this "line in the sand" to trigger this disclosure process must be placed carefully, if the IETF wants to avoid discouraging active participation by companies who are concerned about a greatly increased cost burden to meet the disclosure obligations.

Chuck

> -----Original Message-----
> From: todd glassey [mailto:[email-masked]]
> Sent: Sunday, June 15, 2003 4:35 PM
> To: Powers Chuck-rxcp20
> Cc: [email-masked]
> Subject: Re: Proposal for slight edit to section 6.2.1 of
> draft-ietf-ipr-t echn ology-rights-09.txt
> 
> 
> Chuck the problems in withholding known changes to the IP 
> release landscape
> are that "making the specification stable" is the engineering 
> work that is
> to happen here in the IETF and if the IP issues are 
> undisclosed until such
> time as the "stabilized IP" is clearly defined then what 
> recourse do the
> rest of us that contributed have other than suing the IETF or 
> the IP owner.
> 
> You have said it costs the discloser to make these 
> disclosures- I am sorry
> but I don't see that, so can you paint a picture for me of 
> how? i.e. -- what
> are the exact costs in making this type of disclosure?
> 
> Todd
> 
> ----- Original Message ----- 
> From: "Powers Chuck-rxcp20" <[email-masked]>
> To: "'Keith Moore'" <[email-masked]>; "Powers Chuck-rxcp20"
> <[email-masked]>
> Cc: <[email-masked]>; <[email-masked]>; <[email-masked]>
> Sent: Sunday, June 15, 2003 8:57 AM
> Subject: RE: Proposal for slight edit to section 6.2.1 of 
> draft-ietf-ipr-t
> echn ology-rights-09.txt
> 
> 
> >
> > Keith Moore wrote:
> > >
> > > why would you ever be requested to refine or withdraw a 
> disclosure?
> > > if you disclose IPR, it's disclosed.  you shouldn't 
> refine it unless
> > > your first disclosure was somehow incorrect.   of course you can
> > > offer new licenses at any time, assuming you don't delegate that
> > > power exclusively to someone else.  but disclosure and license are
> > > different things.
> >
> > Simple: because the remainder of the paragraph we are 
> discussing says
> exactly that:
> >
> > "An IPR discloser is requested to withdraw a previous 
> disclosure if a
> revised Contribution negates the previous IPR disclosure, or 
> to amend a
> previous disclosure if a revised Contribution substantially alters the
> previous disclosure"
> >
> > If we disclose some IP, and in the future the spec changes 
> substantially,
> it doesn't mean that the disclosure was _wrong_, but it could 
> mean that it
> is no longer relevant. Based on what THIS DOCUMENT says, we 
> are encouraged
> to modify our disclosures if that happens. Doing that on a 
> regular basis
> costs time and money, and argues for not disclosing until the 
> specification
> is stable.
> >
> > regards,
> >
> > Chuck
> >
> > > -----Original Message-----
> > > From: Keith Moore [mailto:[email-masked]]
> > > Sent: Sunday, June 15, 2003 12:58 AM
> > > To: Powers Chuck-rxcp20
> > > Cc: [email-masked]; [email-masked]; [email-masked];
> > > [email-masked]
> > > Subject: Re: Proposal for slight edit to section 6.2.1 of
> > > draft-ietf-ipr-t echn ology-rights-09.txt
> > >
> > >
> > > > Speaking for my employer, we would prefer to not make 
> multiple IP
> > > > disclosures which might later prove to be unnecessary,
> > > especially if we may
> > > > then be requested to refine or withdraw those disclosures
> > > if/when that
> > > > occurs.
> >
> > >
> > _______________________________________________
> > Ipr-wg mailing list
> > [email-masked]
> > https://www1.ietf.org/mailman/listinfo/ipr-wg
> 
> _______________________________________________
> Ipr-wg mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/ipr-wg
> 
_______________________________________________
Ipr-wg mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ipr-wg

---

From: Harald Tveit Alvestrand <[email-masked]>
Date: Mon, 16 Jun 2003 14:46:50 +0200

[NOTE - this is NOT a suggestion for edits on current documents, so it's 
somewhat off-topic for this WG at this time. Read with care.]

Chuck,

--On søndag, juni 15, 2003 20:39:47 -0700 Powers Chuck-rxcp20 
<[email-masked]> wrote:

>    Disclosure statements made to SDOs are not just knocked off by a
> couple of engineers, with a lawyer making a final review (not at
> Motorola, anyway). Before a decision to disclose is made, the IP claims
> and the specification(s) in question must be carefully studied and
> compared, and the results are then reviewed by the attorneys, licensing
> and anti-trust departments, to get agreement that the disclosure is
> appropriate, necessary, and meets the particular needs of the SDO. The
> disclosure statement itself must then be drafted, which can be
> complicated if the IP in question is itself complex, or could possibly
> impact multiple specifications.
>
>    This entire process takes a non-trivial amount of time, and those who
> are involved in the process are not paid in peanuts, and for good reason.
> While entities with smaller patent portfolios can do this more easily,
> any company with a large patent portfolio would be irresponsible to not
> approach this process cautiously.
>
>    IMO, this "line in the sand" to trigger this disclosure process must
> be placed carefully, if the IETF wants to avoid discouraging active
> participation by companies who are concerned about a greatly increased
> cost

I am wondering if one of our problems with the policy is that we're 
focusing on "disclosure" as one uniform, one-size-fits-all act, while we 
are describing "submission" as any one of a number of activities, with 
different levels of formality.

Seems to me that in the context of a verbal submission, the appropriate 
form of IPR disclosure might be "...and btw, we might own this idea", while 
in the context of a WG-ready I-D, a properly authorized, vetted and 
reviewed I-D disclosure document seems like the Right Thing.

Background:

What I think is important *to the IETF* is that the information gets into 
the process at appropriate times; we need both the information that the 
techniques are there and the information that there might be IPR on them - 
so an IPR policy that stops the flow of information about techniques is bad 
for the IETF too.

To the participating companies' IPR people, I think the needs are:

- To avoid losing their IPR through the "Dell method" (being accused of 
subverting the standards process through submarine patenting, and therefore 
losing the right to license)

- To allow/encourage use of their technology where that furthers the 
interests of the company (because they get revenue, because they can field 
things quicker than others, or for more complicated reasons)

- To avoid using excessive amounts of resources on the IETF IPR process

(I'm sure some of the real company IPR people here can put this much better 
than I can....)

So we need to balance...

---

From: "todd glassey" <[email-masked]>
Date: Mon, 16 Jun 2003 07:01:42 -0700

Chuck -
----- Original Message ----- 
From: "Powers Chuck-rxcp20" <[email-masked]>
To: "'todd glassey'" <[email-masked]>
Cc: <[email-masked]>
Sent: Sunday, June 15, 2003 8:39 PM
Subject: RE: Proposal for slight edit to section 6.2.1 of draft-ietf-ipr-t
echn ology-rights-09.txt

-- SNIP --

> Before a decision to disclose is made, the IP claims and the
specification(s) in question must be carefully studied and compared, and the
results are then reviewed by the attorneys, licensing and anti-trust
departments, to get agreement that the disclosure is appropriate, necessary,
and meets the particular needs of the SDO.

Which of course would be true if you had a proprietray technology that you
wanted to vet... But as to materials that are developed as a result of IETF
vetting? My take is that no real claim can be leveraged therein and as such
this is a moot point that is easily taken care of with a VERY SIMPLE IP
Policy...

1)    Setup a baseline so that ALL IETF Efforts are done "under some
predefined set of IP access rules" - i.e. some reasonable open-source or
othe GPL style use model since this Standards Org refuses to put in place
any afer-the-fact controls.

2)    Setup a baseline rule that also says "ALL IETF PROJECTS, unless
accompanied by a IP Submission Statement, will be made available under the
rule defined in #1 above

3)    Setup a further reporting morel so that if there are specific releases
needed they are only their to acknowledge differences in the policies
granted. That is to say, if I wanted to let people know (as I have done)
that using their IPs must be done under the specified terms.

4)    Make a point of once a quarter requiring that all the List managers
send a specific piece of boiler plate to all the list's participants and
anyone that has a predefined IP release on file regarding the IP policies,
and that they record any bounces such that there is a culpable record of
delivery (even though email is garbage this is at least an effort.)

This will limit the needs for disclosures

Jorge - would you approve of such a rethinking of the model? - Then Pekka's
draft would be exactly that specific template, specifying the actual relase
contract language. (and make no mistake, the IETF's processes and mechanisms
form a culpable contract IMHO, having any number of issues under California
Law).

-- SNIP --

---

From: "Lawrence E. Rosen" <[email-masked]>
Date: Mon, 16 Jun 2003 14:28:28 -0700

I'm very pleased to read the questions that Harald raises.  It is
important to recognize the potentially conflicting needs of the various
beneficiaries of IETF activities and balance them in workable IP
policies.  That is exactly what has NOT happened with the current
policy.  As I understand it, the current policy describes what exists --
i.e., what has evolved over time -- in a rather unstructured fashion in
an informally-organized standards organization.  These weren't policies
reached by explicit concensus.

Questions about proper disclosure procedures should (must?) be asked and
answered in a working group that fully appreciates the complexity of
that balancing task.  The current informal IPR working group is not
adequate to that challenge.  

While I don't want to keep tossing the W3C patent policy in your faces,
I think it may be helpful for you to recognize that the rules concerning
the timing and extent of IP disclosures consumed well over half of the
efforts of the W3C patent policy working group over more than two years.
(Contrary to popular belief, the RAND/RF issue was, while perhaps more
important financially, much less time-consuming.)  Many conflicting
interests were represented on the W3C PPWG and balanced.  A concensus
policy emerged.

That effort needs to take place in IETF as well.  Perhaps a different
concensus will be reached.  But it must be done in a way that ensures
that Harald's questions are seriously addressed by *all* stakeholders in
IETF.

/Larry Rosen

> From: [email-masked] [mailto:[email-masked]] On 
> Behalf Of Harald Tveit Alvestrand
> Sent: Monday, June 16, 2003 5:47 AM
> To: Powers Chuck-rxcp20
> Cc: [email-masked]
> Subject: OFF-EDIT IDEA: style of disclosure
> 
> 
> > Motorola, anyway). Before a decision to disclose is made, the IP 
> > claims and the specification(s) in question must be 
> carefully studied 
> > and compared, and the results are then reviewed by the attorneys, 
> > licensing and anti-trust departments, to get agreement that the 
> > disclosure is appropriate, necessary, and meets the 
> particular needs 
> > of the SDO. The disclosure statement itself must then be drafted, 
> > which can be complicated if the IP in question is itself 
> complex, or 
> > could possibly impact multiple specifications.
> >
> >    This entire process takes a non-trivial amount of time, 
> and those 
> > who are involved in the process are not paid in peanuts, 
> and for good 
> > reason. While entities with smaller patent portfolios can 
> do this more 
> > easily, any company with a large patent portfolio would be 
> > irresponsible to not approach this process cautiously.
> >
> >    IMO, this "line in the sand" to trigger this disclosure process 
> > must be placed carefully, if the IETF wants to avoid discouraging 
> > active participation by companies who are concerned about a greatly 
> > increased cost
>

---

From: "Robert Barr " <[email-masked]>
Date: Mon, 16 Jun 2003 16:00:53 -0700

> and those who
There arent too many admitted " real company IPR people" on the list, which
makes it very hard to include their interests in the balance.  But I admit
to being a real company IPR person (both a real company and a real person).
I still speak as an individual, so I don’t think  I am breaking any rules by
coming out publicly.
You have correctly identified some of our interests, and I have identified
others in my postings: a sincere desire to comply with the rules, and a
consequent need for rules that we can actually comply with; a licensing
disclosure scheme that recognizes options other than RAND or free (eg
defensive suspension). And a process for developing IPR rules that
encourages our participation and takes our interests into account as part of
a balancing process.
But of course we are a varied lot, and I cannot speak for the others {cheap
shot follows} who may see IPR on standards as an opportunity to generate
revenue. {end of cheap shot}.
[email-masked]

---

From: Harald Tveit Alvestrand <[email-masked]>
Date: Tue, 17 Jun 2003 11:55:56 +0200

--On mandag, juni 16, 2003 16:00:53 -0700 Robert Barr  <[email-masked]> 
wrote:

> encourages our participation and takes our interests into account as part
> of a balancing process.

tracking even further away from the core of what's being discussed.....

part of my experience both in the IETF and in the ICANN process indicates 
that a lot of the time, when you get several groups into the same 
discussion, *all* groups will complain that their legitimate concerns are 
overlooked, that their views are not granted the gravity they deserve, that 
other people/groups are getting a fairer hearing and so on.

I think this is normal - when people are used to dealing in a certain 
context, such as "free software people", "IPR lawyers" or "engineers" (who 
did I miss irritating?), they get used to knowing the relative weight that 
has to be given to issues in order to make everyone reasonably happy; once 
we jam people together into a single group (like here), it's entirely 
normal that people feel that the process is out of balance - whether it is 
or not.

there's also a style issue - the IETF is an almost unbearably rude 
organization (and - sidetrack - attempts to forcibly encourage a little 
more restraint usually meet with howls of outrage - sometimes from the same 
people who decry the lack of common courtesy...); in such a context, having 
nonparticipants choose to remain on the sidelines until they get a cordial 
invitation to participate can mean that they're in for a long wait.

I don't know how to solve this one either.

---

From: "todd glassey" <[email-masked]>
Date: Tue, 17 Jun 2003 06:54:44 -0700

Fricken MS autocorrector -

----- Original Message ----- 
From: "todd glassey" <[email-masked]>
To: "Powers Chuck-rxcp20" <[email-masked]>; "Pekka Savola"
<[email-masked]>
Cc: <[email-masked]>
Sent: Monday, June 16, 2003 7:01 AM
Subject: Re: Proposed solution - was: Proposal for slight

> that using their IPs must be done under the specified terms.

3)    Setup a further reporting model so that if there are specific releases
       needed they are only there to acknowledge differences in the policies
       granted. That is to say, if I wanted to let people know (as I have
done)
       that using their IPs must be done under the specified terms.

> draft would be exactly that, a  specific template, specifying the actual
relase